PETSc version 3.15.5
Fix/Edit manual page

# DMPlexDistributeField

Distribute field data to match a given PetscSF, usually the SF from mesh distribution

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeField(DM dm, PetscSF pointSF, PetscSection originalSection, Vec originalVec, PetscSection newSection, Vec newVec)

Collective on dm

### Input Parameters

| dm | - The DMPlex object
| pointSF | - The PetscSF describing the communication pattern
| originalSection | - The PetscSection for existing data layout
| originalVec | - The existing data in a local vector

### Output Parameters

| newSection | - The PetscSF describing the new data layout
| newVec | - The new data in a local vector

### See Also

DMPlexDistribute(), DMPlexDistributeFieldIS(), DMPlexDistributeData()

### Level

developer

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages